Results bulk call campaigns/item/analysis runs/item/results
curl --request GET \
--url https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-runs/{id}/results \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-runs/{id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-runs/{id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"campaign_id": "<string>",
"prompt_id": "<string>",
"prompt_name": "<string>",
"status": "<string>",
"run_mode": "<string>",
"total_tasks": "<string>",
"completed_tasks": "<string>",
"failed_tasks": "<string>",
"skipped_tasks": "<string>",
"credit_hold_tasks": "<string>",
"progress_percentage": "<string>",
"total_input_tokens": 123,
"total_output_tokens": 123,
"total_cost_usd": "<string>",
"estimated_cost_usd": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"output_schema_snapshot": "<string>",
"error_summary": "<string>",
"initiated_by_id": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Campaigns
Results bulk call campaigns/item/analysis runs/item/results
From api/v1/call_analysis_runs#results in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
bulk_call_campaigns
/
{bulk_call_campaign_id}
/
analysis-runs
/
{id}
/
results
Results bulk call campaigns/item/analysis runs/item/results
curl --request GET \
--url https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-runs/{id}/results \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-runs/{id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-runs/{id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"campaign_id": "<string>",
"prompt_id": "<string>",
"prompt_name": "<string>",
"status": "<string>",
"run_mode": "<string>",
"total_tasks": "<string>",
"completed_tasks": "<string>",
"failed_tasks": "<string>",
"skipped_tasks": "<string>",
"credit_hold_tasks": "<string>",
"progress_percentage": "<string>",
"total_input_tokens": 123,
"total_output_tokens": 123,
"total_cost_usd": "<string>",
"estimated_cost_usd": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"output_schema_snapshot": "<string>",
"error_summary": "<string>",
"initiated_by_id": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Was this page helpful?